<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/dl_handler_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/04/85  dl_handler_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>This subroutine has three entry points that issue queries for each of
<span id="L5" class="LineNr"> 5 </span>three situations involving deletion.  These situations are:
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>     Deletion of an entry whose safety switch or copy switch is on.
<span id="L8" class="LineNr"> 8 </span>     Deletion via a starname that matches all entries, e.g. &quot;**&quot;.
<span id="L9" class="LineNr"> 9 </span>     Deletion of a directory <span class="textRainbow_lv0_p0">(</span>delete_dir always queries<span class="textRainbow_lv0_p0">)</span>.
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>This subroutine returns a status code depending on the user's answer.
<span id="L12" class="LineNr">12 </span>If the user answers &quot;yes&quot;, all three entry points turn off the safety
<span id="L13" class="LineNr">13 </span>and copy switches, and in the case of a directory, set sma to the user
<span id="L14" class="LineNr">14 </span>before returning.
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>Entry points in dl_handler_:
<span id="L18" class="LineNr">18 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>:Entry: dl_handler_:  03/04/85  dl_handler_
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Function:
<span id="L25" class="LineNr">25 </span>The dl_handler_ entry point, called when an entry has its safety switch
<span id="L26" class="LineNr">26 </span>or copy switch on, issues a query of the form:
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>        &lt;caller&gt;:  &lt;path&gt; is protected.  Do you want to delete it?
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>If the user answers yes, dl_handler_ turns off both switches and
<span id="L31" class="LineNr">31 </span>returns a zero status code.
<span id="L32" class="LineNr">32 </span>
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>Syntax:
<span id="L35" class="LineNr">35 </span>dcl dl_handler_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L36" class="LineNr">36 </span>call dl_handler_ <span class="textRainbow_lv0_p0">(</span>caller<span class="textRainbow_lv0_o0">,</span> dn<span class="textRainbow_lv0_o0">,</span> en<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>Arguments:
<span id="L40" class="LineNr">40 </span>caller
<span id="L41" class="LineNr">41 </span>   is the name of the calling program, used to print the query.
<span id="L42" class="LineNr">42 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L43" class="LineNr">43 </span>dn
<span id="L44" class="LineNr">44 </span>   is the directory name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr">45 </span>en
<span id="L46" class="LineNr">46 </span>   is the entry name.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L47" class="LineNr">47 </span>code
<span id="L48" class="LineNr">48 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L49" class="LineNr">49 </span>   0  the user answered yes, switches have been turned off, and the
<span id="L50" class="LineNr">50 </span>      entry can now be deleted.
<span id="L51" class="LineNr">51 </span>   error_table_$action_not_performed
<span id="L52" class="LineNr">52 </span>      the user answered no.
<span id="L53" class="LineNr">53 </span>   other codes
<span id="L54" class="LineNr">54 </span>      the switches could not be turned off.
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>The two other entry points have the same calling sequence as
<span id="L58" class="LineNr">58 </span>dl_handler_.
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>:Entry:  dblstar:  03/04/85 dl_handler_$dblstar
<span id="L62" class="LineNr">62 </span>
<span id="L63" class="LineNr">63 </span>
<span id="L64" class="LineNr">64 </span>Function:  This entry point issues the query:
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>        Do you want to '&lt;caller&gt; &lt;en&gt;' in &lt;dn&gt;?
<span id="L67" class="LineNr">67 </span>
<span id="L68" class="LineNr">68 </span>where caller, the name of the calling program, is assumed to be a
<span id="L69" class="LineNr">69 </span>suitable verb.  This entry point is called, for example, by the delete
<span id="L70" class="LineNr">70 </span>and unlink commands, which also pass a double starname as the value of
<span id="L71" class="LineNr">71 </span>en:
<span id="L72" class="LineNr">72 </span>
<span id="L73" class="LineNr">73 </span>        Do you want to 'delete **' in &lt;dir_path&gt;?
<span id="L74" class="LineNr">74 </span>        Do you want to 'unlink **' in &lt;dir_path&gt;?
<span id="L75" class="LineNr">75 </span>
<span id="L76" class="LineNr">76 </span>
<span id="L77" class="LineNr">77 </span>
<span id="L78" class="LineNr">78 </span>:Entry:  dirdelete:  03/04/85 dl_handler_$dirdelete
<span id="L79" class="LineNr">79 </span>
<span id="L80" class="LineNr">80 </span>
<span id="L81" class="LineNr">81 </span>Function:  This entry point assumes it is given a directory pathname,
<span id="L82" class="LineNr">82 </span>and issues the query:
<span id="L83" class="LineNr">83 </span>
<span id="L84" class="LineNr">84 </span>        &lt;caller&gt;:  Do you want to delete the directory dn&gt;en?
<span id="L85" class="LineNr">85 </span>
<span id="L86" class="LineNr">86 </span>This entry point is called, for example, by the delete_dir command.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
